Same happens with OS3.9 under UAE, so we are compatible here :-)